org.apache.hadoop.yarn.webapp.hamlet

## Class Hamlet.SELECT<T extends HamletSpec._>

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.hamlet.HamletImpl.EImp<T>
  - - org.apache.hadoop.yarn.webapp.hamlet.Hamlet.SELECT<T>

- All Implemented Interfaces:
    HamletSpec._, HamletSpec._Child, HamletSpec._Option, HamletSpec.Attrs, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.I18nAttrs, HamletSpec.SELECT
  Enclosing class:
    Hamlet

      public class Hamlet.SELECT<T extends HamletSpec._>
      extends HamletImpl.EImp<T>
      implements HamletSpec.SELECT

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SELECT(String name, T parent, EnumSet<HamletImpl.EOpt> opts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Hamlet.SELECT<T>` | `$class(String value)` space-separated list of classes
    `Hamlet.SELECT<T>` | `$dir(HamletSpec.Dir value)` direction for weak/neutral text
    `Hamlet.SELECT<T>` | `$disabled()` unavailable in this context
    `Hamlet.SELECT<T>` | `$id(String value)` document-wide unique id
    `Hamlet.SELECT<T>` | `$lang(String value)` language code
    `Hamlet.SELECT<T>` | `$multiple()` default is single selection
    `Hamlet.SELECT<T>` | `$name(String value)` field name
    `Hamlet.SELECT<T>` | `$onblur(String value)` the element lost the focus
    `Hamlet.SELECT<T>` | `$onchange(String value)` the element value was changed
    `Hamlet.SELECT<T>` | `$onclick(String value)` a pointer button was clicked
    `Hamlet.SELECT<T>` | `$ondblclick(String value)` a pointer button was double clicked
    `Hamlet.SELECT<T>` | `$onfocus(String value)` the element got the focus
    `Hamlet.SELECT<T>` | `$onkeydown(String value)` a key was pressed down
    `Hamlet.SELECT<T>` | `$onkeypress(String value)` a key was pressed and released
    `Hamlet.SELECT<T>` | `$onkeyup(String value)` a key was released
    `Hamlet.SELECT<T>` | `$onmousedown(String value)` a pointer button was pressed down
    `Hamlet.SELECT<T>` | `$onmousemove(String value)` a pointer was moved within
    `Hamlet.SELECT<T>` | `$onmouseout(String value)` a pointer was moved away
    `Hamlet.SELECT<T>` | `$onmouseover(String value)` a pointer was moved onto
    `Hamlet.SELECT<T>` | `$onmouseup(String value)` a pointer button was released
    `Hamlet.SELECT<T>` | `$size(int value)` rows visible
    `Hamlet.SELECT<T>` | `$style(String value)` associated style info
    `Hamlet.SELECT<T>` | `$tabindex(int value)` position in tabbing order
    `Hamlet.SELECT<T>` | `$title(String value)` advisory title
    `Hamlet.OPTGROUP<Hamlet.SELECT<T>>` | `optgroup()` Add a OPTGROUP element.
    `Hamlet.OPTION<Hamlet.SELECT<T>>` | `option()` Add a OPTION element.
    `Hamlet.SELECT<T>` | `option(String cdata)` Add a complete OPTION element.

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet.HamletImpl.EImp

      `_, _endTag, _inline, _p, _pre, _v, addAttr, addAttr, addMediaAttr, addRelAttr, closeAttrs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Child

      `_`

- - ### Constructor Detail

    - #### SELECT

          public SELECT(String name,
                        T parent,
                        EnumSet<HamletImpl.EOpt> opts)

  - ### Method Detail

    - #### $name

          public Hamlet.SELECT<T> $name(String value)

      Description copied from interface: `HamletSpec.SELECT`
      field name
      Specified by:
        `$name` in interface `HamletSpec.SELECT`
      Returns:
        the current element builder

    - #### $disabled

          public Hamlet.SELECT<T> $disabled()

      Description copied from interface: `HamletSpec.SELECT`
      unavailable in this context
      Specified by:
        `$disabled` in interface `HamletSpec.SELECT`
      Returns:
        the current element builder

    - #### $tabindex

          public Hamlet.SELECT<T> $tabindex(int value)

      Description copied from interface: `HamletSpec.SELECT`
      position in tabbing order
      Specified by:
        `$tabindex` in interface `HamletSpec.SELECT`
      Returns:
        the current element builder

    - #### $onfocus

          public Hamlet.SELECT<T> $onfocus(String value)

      Description copied from interface: `HamletSpec.SELECT`
      the element got the focus
      Specified by:
        `$onfocus` in interface `HamletSpec.SELECT`
      Returns:
        the current element builder

    - #### $onblur

          public Hamlet.SELECT<T> $onblur(String value)

      Description copied from interface: `HamletSpec.SELECT`
      the element lost the focus
      Specified by:
        `$onblur` in interface `HamletSpec.SELECT`
      Returns:
        the current element builder

    - #### $onchange

          public Hamlet.SELECT<T> $onchange(String value)

      Description copied from interface: `HamletSpec.SELECT`
      the element value was changed
      Specified by:
        `$onchange` in interface `HamletSpec.SELECT`
      Returns:
        the current element builder

    - #### optgroup

          public Hamlet.OPTGROUP<Hamlet.SELECT<T>> optgroup()

      Description copied from interface: `HamletSpec.SELECT`
      Add a OPTGROUP element.
      Specified by:
        `optgroup` in interface `HamletSpec.SELECT`
      Returns:
        a new OPTGROUP element builder

    - #### $size

          public Hamlet.SELECT<T> $size(int value)

      Description copied from interface: `HamletSpec.SELECT`
      rows visible
      Specified by:
        `$size` in interface `HamletSpec.SELECT`
      Returns:
        the current element builder

    - #### $multiple

          public Hamlet.SELECT<T> $multiple()

      Description copied from interface: `HamletSpec.SELECT`
      default is single selection
      Specified by:
        `$multiple` in interface `HamletSpec.SELECT`
      Returns:
        the current element builder

    - #### $id

          public Hamlet.SELECT<T> $id(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      document-wide unique id
      Specified by:
        `$id` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the id
      Returns:
        the current element builder

    - #### $class

          public Hamlet.SELECT<T> $class(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      space-separated list of classes
      Specified by:
        `$class` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the classes
      Returns:
        the current element builder

    - #### $title

          public Hamlet.SELECT<T> $title(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      advisory title
      Specified by:
        `$title` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the title
      Returns:
        the current element builder

    - #### $style

          public Hamlet.SELECT<T> $style(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      associated style info
      Specified by:
        `$style` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the style
      Returns:
        the current element builder

    - #### $lang

          public Hamlet.SELECT<T> $lang(String value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      language code
      Specified by:
        `$lang` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the code
      Returns:
        the current element builder

    - #### $dir

          public Hamlet.SELECT<T> $dir(HamletSpec.Dir value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      direction for weak/neutral text
      Specified by:
        `$dir` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the `HamletSpec.Dir` value
      Returns:
        the current element builder

    - #### $onclick

          public Hamlet.SELECT<T> $onclick(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was clicked
      Specified by:
        `$onclick` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $ondblclick

          public Hamlet.SELECT<T> $ondblclick(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was double clicked
      Specified by:
        `$ondblclick` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmousedown

          public Hamlet.SELECT<T> $onmousedown(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was pressed down
      Specified by:
        `$onmousedown` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseup

          public Hamlet.SELECT<T> $onmouseup(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was released
      Specified by:
        `$onmouseup` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseover

          public Hamlet.SELECT<T> $onmouseover(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved onto
      Specified by:
        `$onmouseover` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmousemove

          public Hamlet.SELECT<T> $onmousemove(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved within
      Specified by:
        `$onmousemove` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseout

          public Hamlet.SELECT<T> $onmouseout(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved away
      Specified by:
        `$onmouseout` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeypress

          public Hamlet.SELECT<T> $onkeypress(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was pressed and released
      Specified by:
        `$onkeypress` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeydown

          public Hamlet.SELECT<T> $onkeydown(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was pressed down
      Specified by:
        `$onkeydown` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeyup

          public Hamlet.SELECT<T> $onkeyup(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was released
      Specified by:
        `$onkeyup` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### option

          public Hamlet.OPTION<Hamlet.SELECT<T>> option()

      Description copied from interface: `HamletSpec._Option`
      Add a OPTION element.
      Specified by:
        `option` in interface `HamletSpec._Option`
      Returns:
        a new OPTION element builder

    - #### option

          public Hamlet.SELECT<T> option(String cdata)

      Description copied from interface: `HamletSpec._Option`
      Add a complete OPTION element.
      Specified by:
        `option` in interface `HamletSpec._Option`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.